Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface Behaviour

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  CustomBehaviour, OpenDiagramBehaviour, SharedBehaviour

All Known Implementing Classes:
  CustomBehaviourImpl, OpenDiagramBehaviourImpl, SharedBehaviourImpl

    public interface Behaviour

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Behaviour'.

The following features are supported:

- `Subject`

See Also:
  `GMFGenPackage.getBehaviour()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`java.lang.String` `getEditPolicyQualifiedClassName()`
`GenCommonBase` `getSubject()` Returns the value of the 'Subject' container reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSubject

    GenCommonBase getSubject()

  Returns the value of the 'Subject' container reference. It is bidirectional and its opposite is '`Behaviour`'.

  If the meaning of the 'Subject' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Subject' container reference.
  See Also:
    `GMFGenPackage.getBehaviour_Subject()`, `GenCommonBase.getBehaviour()`
  ** Generated **
  Model:
    opposite="behaviour" resolveProxies="false" transient="false" changeable="false"

### getEditPolicyQualifiedClassName

    java.lang.String getEditPolicyQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.